Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-05-18 18:43:11 +0000
committerDavid Williams2014-05-18 18:43:11 +0000
commitf8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd (patch)
treeea20b3823609d7c8c621b0392067040ac3c9dd63 /production/testScripts
parent934047c9e1eb4c853d2610ae60e458aaecff6b67 (diff)
downloadeclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.tar.gz
eclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.tar.xz
eclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.zip
Bug 409076 - establish standard formatting - indentation
Diffstat (limited to 'production/testScripts')
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linux/equinoxp2tests.properties2
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linux/testAll.sh4
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linux/testing.properties2
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linux32/equinoxp2tests.properties2
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linux32/testAll.sh4
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/linux32/testing.properties2
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/macmini/equinoxp2tests.properties2
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/macmini/testAll.sh4
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/macmini/testing.properties2
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/macosx/equinoxp2tests.properties2
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/macosx/testAll.sh4
-rw-r--r--production/testScripts/configuration/sdk.tests/testConfigs/macosx/testing.properties4
-rw-r--r--production/testScripts/configuration/sdk.tests/testScripts/runtests.sh100
-rw-r--r--production/testScripts/configuration/sdk.tests/testScripts/runtestsmac.sh80
-rwxr-xr-xproduction/testScripts/configuration/sdk.tests/testScripts/testTestXMLScript.sh30
-rw-r--r--production/testScripts/configuration/streamSpecific-build.properties36
-rw-r--r--production/testScripts/hudsonBootstrap/getEBuilder.sh52
-rwxr-xr-xproduction/testScripts/startTests.sh216
-rwxr-xr-xproduction/testScripts/updateTestResultsPages.sh76
19 files changed, 312 insertions, 312 deletions
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linux/equinoxp2tests.properties b/production/testScripts/configuration/sdk.tests/testConfigs/linux/equinoxp2tests.properties
index c0b536ee0..30c9b8af4 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/linux/equinoxp2tests.properties
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linux/equinoxp2tests.properties
@@ -6,4 +6,4 @@ org.eclipse.equinox.p2.reconciler.tests.lastrelease.platform.archive.macosx=@exe
org.eclipse.equinox.p2.reconciler.tests.platform.archive.linux=@executionDir@/eclipse-platform-@buildId@-linux-gtk-x86_64.tar.gz
org.eclipse.equinox.p2.reconciler.tests.platform.archive.win32=@executionDir@\\eclipse-platform-@buildId@-win32.zip
org.eclipse.equinox.p2.reconciler.tests.platform.archive.macosx=@executionDir@/eclipse-platform-@buildId@-macosx-cocoa.tar.gz
-org.eclipse.equinox.p2.tests.last.release.build.repo=http\://download.eclipse.org/eclipse/updates/4.1/R-4.1.2-201202230900 \ No newline at end of file
+org.eclipse.equinox.p2.tests.last.release.build.repo=http\://download.eclipse.org/eclipse/updates/4.1/R-4.1.2-201202230900
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linux/testAll.sh b/production/testScripts/configuration/sdk.tests/testConfigs/linux/testAll.sh
index c5ed7b3ac..28a402913 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/linux/testAll.sh
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linux/testAll.sh
@@ -34,9 +34,9 @@ echo "buildId in testAll: ${buildId}"
if [[ -n "${extdir}" ]]
then
-./runtests.sh -os linux -ws gtk -arch $eclipseArch -extdirprop "${extdir}" -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/linux.gtk.x86_64_8.0_consolelog.txt
+ ./runtests.sh -os linux -ws gtk -arch $eclipseArch -extdirprop "${extdir}" -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/linux.gtk.x86_64_8.0_consolelog.txt
else
-./runtests.sh -os linux -ws gtk -arch $eclipseArch -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/linux.gtk.x86_64_8.0_consolelog.txt
+ ./runtests.sh -os linux -ws gtk -arch $eclipseArch -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/linux.gtk.x86_64_8.0_consolelog.txt
fi
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linux/testing.properties b/production/testScripts/configuration/sdk.tests/testConfigs/linux/testing.properties
index 8a332d209..3951d22a8 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/linux/testing.properties
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linux/testing.properties
@@ -39,4 +39,4 @@ testExecutable=bash
testScript=./testAll.sh
#arguments to $(testScript)
-args= \ No newline at end of file
+args=
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linux32/equinoxp2tests.properties b/production/testScripts/configuration/sdk.tests/testConfigs/linux32/equinoxp2tests.properties
index f09007165..4455946df 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/linux32/equinoxp2tests.properties
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linux32/equinoxp2tests.properties
@@ -6,4 +6,4 @@ org.eclipse.equinox.p2.reconciler.tests.lastrelease.platform.archive.macosx=@exe
org.eclipse.equinox.p2.reconciler.tests.platform.archive.linux=@executionDir@/eclipse-platform-@buildId@-linux-gtk.tar.gz
org.eclipse.equinox.p2.reconciler.tests.platform.archive.win32=@executionDir@\\eclipse-platform-@buildId@-win32.zip
org.eclipse.equinox.p2.reconciler.tests.platform.archive.macosx=@executionDir@/eclipse-platform-@buildId@-macosx-cocoa.tar.gz
-org.eclipse.equinox.p2.tests.last.release.build.repo=http\://download.eclipse.org/eclipse/updates/4.1/R-4.1.2-201202230900 \ No newline at end of file
+org.eclipse.equinox.p2.tests.last.release.build.repo=http\://download.eclipse.org/eclipse/updates/4.1/R-4.1.2-201202230900
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linux32/testAll.sh b/production/testScripts/configuration/sdk.tests/testConfigs/linux32/testAll.sh
index e17129c58..4be35d1c7 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/linux32/testAll.sh
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linux32/testAll.sh
@@ -33,9 +33,9 @@ echo "propertyFile in testAll: ${propertyFile}"
if [[ -n "${extdir}" ]]
then
-./runtests.sh -os linux -ws gtk -arch $eclipseArch -extdirprop "${extdir}" -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/linux.gtk.x86_8.0_consolelog.txt
+ ./runtests.sh -os linux -ws gtk -arch $eclipseArch -extdirprop "${extdir}" -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/linux.gtk.x86_8.0_consolelog.txt
else
-./runtests.sh -os linux -ws gtk -arch $eclipseArch -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/linux.gtk.x86_8.0_consolelog.txt
+ ./runtests.sh -os linux -ws gtk -arch $eclipseArch -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/linux.gtk.x86_8.0_consolelog.txt
fi
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/linux32/testing.properties b/production/testScripts/configuration/sdk.tests/testConfigs/linux32/testing.properties
index ac6c6b9ee..ff17798d8 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/linux32/testing.properties
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/linux32/testing.properties
@@ -39,4 +39,4 @@ testExecutable=bash
testScript=./testAll.sh
#arguments to $(testScript)
-args= \ No newline at end of file
+args=
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/macmini/equinoxp2tests.properties b/production/testScripts/configuration/sdk.tests/testConfigs/macmini/equinoxp2tests.properties
index f09007165..4455946df 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/macmini/equinoxp2tests.properties
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/macmini/equinoxp2tests.properties
@@ -6,4 +6,4 @@ org.eclipse.equinox.p2.reconciler.tests.lastrelease.platform.archive.macosx=@exe
org.eclipse.equinox.p2.reconciler.tests.platform.archive.linux=@executionDir@/eclipse-platform-@buildId@-linux-gtk.tar.gz
org.eclipse.equinox.p2.reconciler.tests.platform.archive.win32=@executionDir@\\eclipse-platform-@buildId@-win32.zip
org.eclipse.equinox.p2.reconciler.tests.platform.archive.macosx=@executionDir@/eclipse-platform-@buildId@-macosx-cocoa.tar.gz
-org.eclipse.equinox.p2.tests.last.release.build.repo=http\://download.eclipse.org/eclipse/updates/4.1/R-4.1.2-201202230900 \ No newline at end of file
+org.eclipse.equinox.p2.tests.last.release.build.repo=http\://download.eclipse.org/eclipse/updates/4.1/R-4.1.2-201202230900
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/macmini/testAll.sh b/production/testScripts/configuration/sdk.tests/testConfigs/macmini/testAll.sh
index 858675d11..ef4fa01f3 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/macmini/testAll.sh
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/macmini/testAll.sh
@@ -33,7 +33,7 @@ echo "propertyFile in testAll: ${propertyFile}"
if [[ -n "${extdir}" ]]
then
-./runtestsmac.sh -os macosx -ws cocoa -arch $eclipseArch -extdirprop "${extdir}" -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/macosx.cocoa.x86_7.0_consolelog.txt
+ ./runtestsmac.sh -os macosx -ws cocoa -arch $eclipseArch -extdirprop "${extdir}" -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/macosx.cocoa.x86_7.0_consolelog.txt
else
-./runtestsmac.sh -os macosx -ws cocoa -arch $eclipseArch -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/macosx.cocoa.x86_7.0_consolelog.txt
+ ./runtestsmac.sh -os macosx -ws cocoa -arch $eclipseArch -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/macosx.cocoa.x86_7.0_consolelog.txt
fi
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/macmini/testing.properties b/production/testScripts/configuration/sdk.tests/testConfigs/macmini/testing.properties
index 4cbdac382..5d68a9aae 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/macmini/testing.properties
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/macmini/testing.properties
@@ -38,4 +38,4 @@ testExecutable=bash
testScript=./testAll.sh
#arguments to $(testScript)
-args= \ No newline at end of file
+args=
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/macosx/equinoxp2tests.properties b/production/testScripts/configuration/sdk.tests/testConfigs/macosx/equinoxp2tests.properties
index 12b995df5..d3d6a5770 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/macosx/equinoxp2tests.properties
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/macosx/equinoxp2tests.properties
@@ -6,4 +6,4 @@ org.eclipse.equinox.p2.reconciler.tests.lastrelease.platform.archive.macosx-x86_
org.eclipse.equinox.p2.reconciler.tests.platform.archive.linux=@executionDir@/eclipse-platform-@buildId@-linux-gtk.tar.gz
org.eclipse.equinox.p2.reconciler.tests.platform.archive.win32=@executionDir@\\eclipse-platform-@buildId@-win32.zip
org.eclipse.equinox.p2.reconciler.tests.platform.archive.macosx=@executionDir@/eclipse-platform-@buildId@-macosx-cocoa-x86_64.tar.gz
-org.eclipse.equinox.p2.tests.last.release.build.repo=http\://download.eclipse.org/eclipse/updates/4.1/R-4.1.2-201202230900 \ No newline at end of file
+org.eclipse.equinox.p2.tests.last.release.build.repo=http\://download.eclipse.org/eclipse/updates/4.1/R-4.1.2-201202230900
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/macosx/testAll.sh b/production/testScripts/configuration/sdk.tests/testConfigs/macosx/testAll.sh
index af2883797..7ad15b1a5 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/macosx/testAll.sh
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/macosx/testAll.sh
@@ -34,7 +34,7 @@ cat ${propertyFile}
if [[ -n "${extdir}" ]]
then
-./runtestsmac.sh -os macosx -ws cocoa -arch $eclipseArch -extdirprop "${extdir}" -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/macosx.cocoa.x86_64_7.0_consolelog.txt
+ ./runtestsmac.sh -os macosx -ws cocoa -arch $eclipseArch -extdirprop "${extdir}" -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/macosx.cocoa.x86_64_7.0_consolelog.txt
else
-./runtestsmac.sh -os macosx -ws cocoa -arch $eclipseArch -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/macosx.cocoa.x86_64_7.0_consolelog.txt
+ ./runtestsmac.sh -os macosx -ws cocoa -arch $eclipseArch -vm "${vmcmd}" -properties ${propertyFile} $* > results/consolelogs/macosx.cocoa.x86_64_7.0_consolelog.txt
fi
diff --git a/production/testScripts/configuration/sdk.tests/testConfigs/macosx/testing.properties b/production/testScripts/configuration/sdk.tests/testConfigs/macosx/testing.properties
index a9fea10f9..c31447c89 100644
--- a/production/testScripts/configuration/sdk.tests/testConfigs/macosx/testing.properties
+++ b/production/testScripts/configuration/sdk.tests/testConfigs/macosx/testing.properties
@@ -19,7 +19,7 @@ testFramework=${testDir}/eclipse-Automated-Tests-${buildId}.zip
#name of runtime to install and test
runtime=eclipse-SDK-${buildId}-macosx-cocoa.tar.gz
-
+
#name of deltaPack to install and test
runtimeDeltapack=eclipse-${buildId}-delta-pack.zip
@@ -38,4 +38,4 @@ testExecutable=bash
testScript=./testAll.sh
#arguments to $(testScript)
-args= \ No newline at end of file
+args=
diff --git a/production/testScripts/configuration/sdk.tests/testScripts/runtests.sh b/production/testScripts/configuration/sdk.tests/testScripts/runtests.sh
index 6ad6baa14..45dec3cfb 100644
--- a/production/testScripts/configuration/sdk.tests/testScripts/runtests.sh
+++ b/production/testScripts/configuration/sdk.tests/testScripts/runtests.sh
@@ -38,27 +38,27 @@ usage="usage: $0 -os <osType> -ws <windowingSystemType> -arch <architecture> [-n
# proces command line arguments
while [ $# -gt 0 ]
do
- case "${1}" in
- -dir)
- dir="${2}"; shift;;
- -os)
- os="${2}"; shift;;
- -ws)
- ws="${2}"; shift;;
- -arch)
- arch="${2}"; shift;;
- -noclean)
- installmode="noclean";;
- -properties)
- properties="-propertyfile ${2}";shift;;
- -extdirprop)
- extdirproperty="-Djava.ext.dirs=${2}";shift;;
- -vm)
- vmcmd="${2}"; shift;;
- *)
- tests=$tests\ ${1};;
- esac
- shift
+ case "${1}" in
+ -dir)
+ dir="${2}"; shift;;
+ -os)
+ os="${2}"; shift;;
+ -ws)
+ ws="${2}"; shift;;
+ -arch)
+ arch="${2}"; shift;;
+ -noclean)
+ installmode="noclean";;
+ -properties)
+ properties="-propertyfile ${2}";shift;;
+ -extdirprop)
+ extdirproperty="-Djava.ext.dirs=${2}";shift;;
+ -vm)
+ vmcmd="${2}"; shift;;
+ *)
+ tests=$tests\ ${1};;
+ esac
+ shift
done
echo "Specified test targets (if any): ${tests}"
@@ -68,20 +68,20 @@ echo "Specified ext dir (if any): ${extdirproperty}"
# for *nix systems, os, ws and arch values must be specified
if [ "x$os" = "x" ]
then
- echo >&2 "$usage"
- exit 1
+ echo >&2 "$usage"
+ exit 1
fi
if [ "x$ws" = "x" ]
then
- echo >&2 "$usage"
- exit 1
+ echo >&2 "$usage"
+ exit 1
fi
if [ "x$arch" = "x" ]
then
- echo >&2 "$usage"
- exit 1
+ echo >&2 "$usage"
+ exit 1
fi
#necessary when invoking this script through rsh
@@ -89,9 +89,9 @@ cd $dir
if [ ! -r eclipse ]
then
- tar -xzf eclipse-SDK-*.tar.gz
- # note, the file pattern to match, must not start with */plugins because there is no leading '/' in the zip file, since they are repos.
- unzip -qq -o -C eclipse-junit-tests-*.zip plugins/org.eclipse.test* -d eclipse/dropins/
+ tar -xzf eclipse-SDK-*.tar.gz
+ # note, the file pattern to match, must not start with */plugins because there is no leading '/' in the zip file, since they are repos.
+ unzip -qq -o -C eclipse-junit-tests-*.zip plugins/org.eclipse.test* -d eclipse/dropins/
fi
# run tests
@@ -112,7 +112,7 @@ echo "Window Manager processes running: $wmpss"
echo
# in this case, do not "--replace" any existing ones, for this DISPLAY
-# added bit bucket for errors, in attempt to keep from filling up Hudson log with "warnings", such as hundreds of
+# added bit bucket for errors, in attempt to keep from filling up Hudson log with "warnings", such as hundreds of
# [exec] Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x800059 (Java - Ecl)
# [exec] Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
#
@@ -121,25 +121,25 @@ METACITYRC=$?
METACITYPID=$!
if [[ $METACITYRC == 0 ]]
-then
+then
+ # TODO: we may want to kill the one we started, at end of tests?
+ echo $METACITYPID > epmetacity.pid
+ echo " metacity (with no --replace) started ok. PID: $METACITYPID"
+else
+ echo " metacity (with no --replace) failed. RC: $METACITYRC"
+ # This should not interfere with other jobs running on Hudson, the DISPLAY should be "ours".
+ metacity --display=$DISPLAY --replace --sm-disable &
+ METACITYRC=$?
+ METACITYPID=$!
+ if [[ $METACITYRC == 0 ]]
+ then
# TODO: we may want to kill the one we started, at end of tests?
echo $METACITYPID > epmetacity.pid
- echo " metacity (with no --replace) started ok. PID: $METACITYPID"
-else
- echo " metacity (with no --replace) failed. RC: $METACITYRC"
- # This should not interfere with other jobs running on Hudson, the DISPLAY should be "ours".
- metacity --display=$DISPLAY --replace --sm-disable &
- METACITYRC=$?
- METACITYPID=$!
- if [[ $METACITYRC == 0 ]]
- then
- # TODO: we may want to kill the one we started, at end of tests?
- echo $METACITYPID > epmetacity.pid
- echo " metacity (with --replace) started ok. PID: $METACITYPID"
- else
- echo " metacity (with --replace) failed. RC: $METACITYRC"
- echo " giving up. But continuing tests"
- fi
+ echo " metacity (with --replace) started ok. PID: $METACITYPID"
+ else
+ echo " metacity (with --replace) failed. RC: $METACITYRC"
+ echo " giving up. But continuing tests"
+ fi
fi
#if [[ -z $wmpss ]]
#then
@@ -170,7 +170,7 @@ echo "extdirproperty in runtest: ${extdirproperty}"
# -Dtimeout=300000 "${ANT_OPTS}"
if [[ ! -z "${extdirproperty}" ]]
then
- $vmcmd "${extdirproperty}" -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
+ $vmcmd "${extdirproperty}" -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
else
- $vmcmd -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
+ $vmcmd -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
fi
diff --git a/production/testScripts/configuration/sdk.tests/testScripts/runtestsmac.sh b/production/testScripts/configuration/sdk.tests/testScripts/runtestsmac.sh
index 119156b6c..37194f525 100644
--- a/production/testScripts/configuration/sdk.tests/testScripts/runtestsmac.sh
+++ b/production/testScripts/configuration/sdk.tests/testScripts/runtestsmac.sh
@@ -13,8 +13,8 @@ source localTestsProperties.shsource 2>/dev/null
#vmcmd=/shared/common/jdk-1.6.x86_64/jre/bin/java
if [[ -z "{vmcmd}" ]]
then
- echo "vmcmd was unexpectly undefined, so using 'java'."
- vmcmd=java
+ echo "vmcmd was unexpectly undefined, so using 'java'."
+ vmcmd=java
fi
echo "vmcmd: $vmcmd"
@@ -46,27 +46,27 @@ usage="usage: $0 -os <osType> -ws <windowingSystemType> -arch <architecture> [-n
# proces command line arguments
while [ $# -gt 0 ]
do
- case "${1}" in
- -dir)
- dir="${2}"; shift;;
- -os)
- os="${2}"; shift;;
- -ws)
- ws="${2}"; shift;;
- -arch)
- arch="${2}"; shift;;
- -noclean)
- installmode="noclean";;
- -properties)
- properties="-propertyfile ${2}";shift;;
- -extdirprop)
- extdirproperty="-Djava.ext.dirs=${2}";shift;;
- -vm)
- vmcmd="${2}"; shift;;
- *)
- tests=$tests\ ${1};;
- esac
- shift
+ case "${1}" in
+ -dir)
+ dir="${2}"; shift;;
+ -os)
+ os="${2}"; shift;;
+ -ws)
+ ws="${2}"; shift;;
+ -arch)
+ arch="${2}"; shift;;
+ -noclean)
+ installmode="noclean";;
+ -properties)
+ properties="-propertyfile ${2}";shift;;
+ -extdirprop)
+ extdirproperty="-Djava.ext.dirs=${2}";shift;;
+ -vm)
+ vmcmd="${2}"; shift;;
+ *)
+ tests=$tests\ ${1};;
+ esac
+ shift
done
echo "Specified test targets (if any): ${tests}"
@@ -76,20 +76,20 @@ echo "Specified ext dir (if any): ${extdirproperty}"
# for *nix systems, os, ws and arch values must be specified
if [ "x$os" = "x" ]
then
- echo >&2 "$usage"
- exit 1
+ echo >&2 "$usage"
+ exit 1
fi
if [ "x$ws" = "x" ]
then
- echo >&2 "$usage"
- exit 1
+ echo >&2 "$usage"
+ exit 1
fi
if [ "x$arch" = "x" ]
then
- echo >&2 "$usage"
- exit 1
+ echo >&2 "$usage"
+ exit 1
fi
#necessary when invoking this script through rsh
@@ -97,9 +97,9 @@ cd $dir
if [[ ! -r eclipse ]]
then
- tar -xzf eclipse-SDK-*.tar.gz
- # note, the file pattern to match, must not start with */plugins because there is no leading '/' in the zip file, since they are repos.
- unzip -qq -o -C eclipse-junit-tests-*.zip plugins/org.eclipse.test* -d eclipse/dropins/
+ tar -xzf eclipse-SDK-*.tar.gz
+ # note, the file pattern to match, must not start with */plugins because there is no leading '/' in the zip file, since they are repos.
+ unzip -qq -o -C eclipse-junit-tests-*.zip plugins/org.eclipse.test* -d eclipse/dropins/
fi
@@ -110,17 +110,17 @@ launcher=`ls eclipse/plugins/org.eclipse.equinox.launcher_*.jar`
# for slight improvement in security. Bug 387747
# so I have commented out most such probes, so they won't be routine.
- #echo "list all environment variables in effect as tests start"
- #printenv
+#echo "list all environment variables in effect as tests start"
+#printenv
echo "properties: $properties"
# -Dtimeout=300000 "${ANT_OPTS}"
- if [[ ! -z "${extdirproperty}" ]]
- then
- $vmcmd "${extdirproperty}" -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
- else
- $vmcmd -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
- fi
+if [[ ! -z "${extdirproperty}" ]]
+then
+ $vmcmd "${extdirproperty}" -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
+else
+ $vmcmd -Dosgi.os=$os -Dosgi.ws=$ws -Dosgi.arch=$arch -jar $launcher -data workspace -application org.eclipse.ant.core.antRunner -file ${PWD}/test.xml $tests -Dws=$ws -Dos=$os -Darch=$arch -D$installmode=true $properties -logger org.apache.tools.ant.DefaultLogger
+fi
diff --git a/production/testScripts/configuration/sdk.tests/testScripts/testTestXMLScript.sh b/production/testScripts/configuration/sdk.tests/testScripts/testTestXMLScript.sh
index 804883aa1..f827f37b0 100755
--- a/production/testScripts/configuration/sdk.tests/testScripts/testTestXMLScript.sh
+++ b/production/testScripts/configuration/sdk.tests/testScripts/testTestXMLScript.sh
@@ -1,23 +1,23 @@
#!/usr/bin/env bash
-# Utility to test the test.xml file. It's intended to allow rapid confirmation
+# Utility to test the test.xml file. It's intended to allow rapid confirmation
# that the test.xml file ends up "computing" correct values, for various versions
-# of java and ant.
+# of java and ant.
-# In particular, ant cant be invoked with one version of java, but another version
-# of java used to actually run the tests.
+# In particular, ant cant be invoked with one version of java, but another version
+# of java used to actually run the tests.
# Currently the file 'testing.properties' must be copied as peer of test.xml ... simply for
-# its absence to not cause an error.
+# its absence to not cause an error.
# Typically, to simulate production builds (tests) on Hudson, a 'vm.properties' tests will
-# also be present, where alternative, specific VMs could be specified. (This allows, for example,
-# the same Hudson setup to test Java 6, 7, or 8 (no matter what VM the ant task was
+# also be present, where alternative, specific VMs could be specified. (This allows, for example,
+# the same Hudson setup to test Java 6, 7, or 8 (no matter what VM the ant task was
# started with.
-# In addition to the console output. which should be captured, with something like
+# In addition to the console output. which should be captured, with something like
# ./testTextXMLScript.sh | tee testoutput.txt
-# some data or set-up files will be created as they normally would if running the real tests.
+# some data or set-up files will be created as they normally would if running the real tests.
# The can be checked to be sure they are correct, and in correct (relative) locations.
# unset some common variables which we don't want (or, set ourselves)
@@ -29,15 +29,15 @@ unset JAVA_BINDIR
unset JRE_HOME
-# Different versions of Ant are specified here in test script, just to confirm
-# nothing is specific to any recent version of ant. (Though, some of the machines
+# Different versions of Ant are specified here in test script, just to confirm
+# nothing is specific to any recent version of ant. (Though, some of the machines
# have ant 1.6 set as 'default'!)
export ANT_HOME=/shared/common/apache-ant-1.7.1
#export ANT_HOME=/shared/common/apache-ant-1.8.4/
#export ANT_HOME=/shared/common/apache-ant-1.9.2
-# JAVA_HOME is, at least, what runs the ant instance. If no 'jvm' option is specified,
-# it also becomes the instance that runs the tests.
+# JAVA_HOME is, at least, what runs the ant instance. If no 'jvm' option is specified,
+# it also becomes the instance that runs the tests.
#export JAVA_HOME=/shared/common/jdk1.5.0-latest
#export JAVA_HOME=/shared/common/jdk1.6.0-latest
#export JAVA_HOME=/shared/common/jdk1.7.0-latest
@@ -47,9 +47,9 @@ export JAVA_HOME=/shared/common/ibm-java-i386-70
export PATH=${JAVA_HOME}/bin:${ANT_HOME}/bin:/usr/local/bin:/usr/bin:/bin:${HOME}/bin
-# There are a number of test-<something> methods in test xml which, by convention, mean
+# There are a number of test-<something> methods in test xml which, by convention, mean
# to simply test the test script itself. The test-all target runs all of those tests.
-#ant -f test.xml test-all
+#ant -f test.xml test-all
ant -f test.xml test-all -propertyfile vm.properties
diff --git a/production/testScripts/configuration/streamSpecific-build.properties b/production/testScripts/configuration/streamSpecific-build.properties
index b45ac9cdd..772dc4b13 100644
--- a/production/testScripts/configuration/streamSpecific-build.properties
+++ b/production/testScripts/configuration/streamSpecific-build.properties
@@ -4,34 +4,34 @@
# once "releng tests" are restarted or investigated.
# But, perhaps it could or should be used more effectively?
-# purely title or identifier for display, to help confirm right file
-# is being retrived and used.
+# purely title or identifier for display, to help confirm right file
+# is being retrived and used.
streamSpecificPropertiesTitle="Properties for 4.4.0 builds and tests"
-# emfRepoURL should NOT be defined in 38 builds, so the
+# emfRepoURL should NOT be defined in 38 builds, so the
# builder will know to "skip" tasks related to EMF
-# Note: this URL needs to be updated everyone milestone/RC when ever there is a
+# Note: this URL needs to be updated everyone milestone/RC when ever there is a
# new version to pick up.
#emfRepoURL=http://download.eclipse.org/modeling/emf/emf/updates/2.8/base/R201206060717
#emfRepoURL=http://download.eclipse.org/modeling/emf/emf/updates/2.9milestones/base/S201212130932
-# TODO: we could likely get rid of this section,
+# TODO: we could likely get rid of this section,
# now that we have ${eclipseStreamMajor} and ${eclipseStreamMinor} available in main scripts
-# (but, we'd still need _this_ file anyway, so can improve these repo location variables later.
-p2repoN=http://@localmirror@/eclipse/updates/4.4-N-builds
-p2repoI=http://@localmirror@/eclipse/updates/4.4-I-builds
-p2repoM=http://@localmirror@/eclipse/updates/4.4-M-builds
-p2repoNPath=/eclipse/updates/4.4-N-builds
-p2repoIPath=/eclipse/updates/4.4-I-builds
-p2repoMPath=/eclipse/updates/4.3-M-builds
-p2repopreviousR=http://@localmirror@/eclipse/updates/4.3/R-4.3-201306052000
-p2repoXPath=/eclipse/updates/4.4-X-builds
+# (but, we'd still need _this_ file anyway, so can improve these repo location variables later.
+ p2repoN=http://@localmirror@/eclipse/updates/4.4-N-builds
+ p2repoI=http://@localmirror@/eclipse/updates/4.4-I-builds
+ p2repoM=http://@localmirror@/eclipse/updates/4.4-M-builds
+ p2repoNPath=/eclipse/updates/4.4-N-builds
+ p2repoIPath=/eclipse/updates/4.4-I-builds
+ p2repoMPath=/eclipse/updates/4.3-M-builds
+ p2repopreviousR=http://@localmirror@/eclipse/updates/4.3/R-4.3-201306052000
+ p2repoXPath=/eclipse/updates/4.4-X-builds
# Note: API tests needs the _base_ of previous release, and also the previous service release
# Bug 378587 - update releng tests (data) to go work against previous release
# Bug 380033 - temp fix to hard code 'archive.eclipse.org' for now
-apiTestsPreviousBaseDLBaseURL=http://${ARCHIVE_HOST}/eclipse/downloads/drops4/R-4.1-201106201631
-apiTestsPreviousBaseWin32Filename=eclipse-SDK-4.1-win32.zip
-apiTestsPreviousRefererenceBaseDLBaseURL=http://${ARCHIVE_HOST}/eclipse/downloads/drops4/R-4.1.2-201202230900
-apiTestsPreviousRefererenceWin32Filename=eclipse-SDK-4.1.2-win32.zip
+ apiTestsPreviousBaseDLBaseURL=http://${ARCHIVE_HOST}/eclipse/downloads/drops4/R-4.1-201106201631
+ apiTestsPreviousBaseWin32Filename=eclipse-SDK-4.1-win32.zip
+ apiTestsPreviousRefererenceBaseDLBaseURL=http://${ARCHIVE_HOST}/eclipse/downloads/drops4/R-4.1.2-201202230900
+ apiTestsPreviousRefererenceWin32Filename=eclipse-SDK-4.1.2-win32.zip
diff --git a/production/testScripts/hudsonBootstrap/getEBuilder.sh b/production/testScripts/hudsonBootstrap/getEBuilder.sh
index 611e212eb..627938fee 100644
--- a/production/testScripts/hudsonBootstrap/getEBuilder.sh
+++ b/production/testScripts/hudsonBootstrap/getEBuilder.sh
@@ -9,26 +9,26 @@
if [[ -z "${WORKSPACE}" ]]
then
- echo "WORKSPACE not supplied, will assume current directory"
- WORKSPACE=${PWD}
+ echo "WORKSPACE not supplied, will assume current directory"
+ WORKSPACE=${PWD}
else
- if [[ ! -d "${WORKSPACE}" ]]
- then
- echo "ERROR: WORKSPACE did not exist. Perhaps you meant its parent?"
- exit 1
- fi
+ if [[ ! -d "${WORKSPACE}" ]]
+ then
+ echo "ERROR: WORKSPACE did not exist. Perhaps you meant its parent?"
+ exit 1
+ fi
fi
if [[ -z "${EBUILDER_HASH}" ]]
-then
- echo "EBUILDER HASH, BRANCH, or TAG was not supplied, assuming 'master'"
- EBUILDER_HASH=master
+then
+ echo "EBUILDER HASH, BRANCH, or TAG was not supplied, assuming 'master'"
+ EBUILDER_HASH=master
fi
if [[ -z "${BUILD_KIND}" ]]
then
- echo "BUILD_KIND not supplied, assuming CBI"
- BUILD_KIND=CBI
+ echo "BUILD_KIND not supplied, assuming CBI"
+ BUILD_KIND=CBI
fi
# remove just in case left from previous failed run
@@ -36,29 +36,29 @@ rm ebuilder.zip 2>/dev/null
rm -fr tempebuilder 2>/dev/null
if [[ "${BUILD_KIND}" == "CBI" ]]
-then
- EBUILDER=eclipse.platform.releng.aggregator
- TARGETNAME=eclipse.platform.releng.aggregator
- ESCRIPT_LOC=${EBUILDER}/production/testScripts
-elif [[ "$BUILD_KIND" == "PDE" ]]
then
- EBUILDER=eclipse.platform.releng.eclipsebuilder
- TARGETNAME=org.eclipse.releng.eclipsebuilder
- ESCRIPT_LOC=${TARGETNAME}
-else
- echo "ERROR: Unexpected value of BUILD_KIND: ${BUILD_KIND}"
- exit 1
+ EBUILDER=eclipse.platform.releng.aggregator
+ TARGETNAME=eclipse.platform.releng.aggregator
+ ESCRIPT_LOC=${EBUILDER}/production/testScripts
+elif [[ "$BUILD_KIND" == "PDE" ]]
+then
+ EBUILDER=eclipse.platform.releng.eclipsebuilder
+ TARGETNAME=org.eclipse.releng.eclipsebuilder
+ ESCRIPT_LOC=${TARGETNAME}
+else
+ echo "ERROR: Unexpected value of BUILD_KIND: ${BUILD_KIND}"
+ exit 1
fi
wget -O ebuilder.zip --no-verbose http://git.eclipse.org/c/platform/${EBUILDER}.git/snapshot/${EBUILDER}-${EBUILDER_HASH}.zip 2>&1
unzip -q ebuilder.zip -d tempebuilder
mkdir -p ${WORKSPACE}/$TARGETNAME
rsync --recursive "tempebuilder/${EBUILDER}-${EBUILDER_HASH}/" "${WORKSPACE}/${TARGETNAME}/"
-rccode=$?
+rccode=$?
if [[ $rccode != 0 ]]
then
- echo "ERROR: rsync did not complete normally.rccode: $rccode"
- exit $rccode
+ echo "ERROR: rsync did not complete normally.rccode: $rccode"
+ exit $rccode
fi
# copy to well-known location so subsequent steps do not need to know which ebuilder they came from
diff --git a/production/testScripts/startTests.sh b/production/testScripts/startTests.sh
index b4aaa2e0a..cf48da366 100755
--- a/production/testScripts/startTests.sh
+++ b/production/testScripts/startTests.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# this buildeclipse.shsource file is to ease local builds to override some variables.
+# this buildeclipse.shsource file is to ease local builds to override some variables.
# It should not be used for production builds.
source buildeclipse.shsource 2>/dev/null
export BUILD_HOME=${BUILD_HOME:-/shared/eclipse/builds}
@@ -14,61 +14,61 @@ export ANT_HOME=/shared/common/apache-ant-1.9.2
function usage ()
{
- printf "\t\t%s\n" "usage: "
- printf "\t\t%s\n" "$( basename $0 ) eclipseStream buildId"
- printf "\t\t\t%s\n" "where "
- printf "\t\t\t%s\n" "eclipseStream == 4.3.0, 3.8.2, etc. "
- printf "\t\t\t%s\n" "buildId == M20120705-1200, IM20121005-0800, etc. "
- printf "\t\t\t\t%s\n" "or, provide those parameters in buildParams.shshource on search path"
+ printf "\t\t%s\n" "usage: "
+ printf "\t\t%s\n" "$( basename $0 ) eclipseStream buildId"
+ printf "\t\t\t%s\n" "where "
+ printf "\t\t\t%s\n" "eclipseStream == 4.3.0, 3.8.2, etc. "
+ printf "\t\t\t%s\n" "buildId == M20120705-1200, IM20121005-0800, etc. "
+ printf "\t\t\t\t%s\n" "or, provide those parameters in buildParams.shshource on search path"
}
# compute main (left part) of download site
function dlpath()
{
- eclipseStream=$1
- if [[ -z "${eclipseStream}" ]]
- then
- printf "\n\n\t%s\n\n" "ERROR: Must provide eclipseStream as first argumnet, for this function $(basename $0)"
- return 1;
- fi
-
-
- buildId=$2
- if [[ -z "${buildId}" ]]
- then
- printf "\n\n\t%s\n\n" "ERROR: Must provide buildId as second argumnet, for this function $(basename $0)"
- return 1;
- fi
-
- BUILD_KIND=$3
- if [[ -z "${BUILD_KIND}" ]]
- then
- printf "\n\n\t%s\n\n" "ERROR: Must provide BUILD_KIND as third argumnet, for this function $(basename $0)"
- return 1;
- fi
-
-
-
- eclipseStreamMajor=${eclipseStream:0:1}
- buildType=${buildId:0:1}
-
- #CBI is "normal" one and can add clauses in future for special cases
- if [[ "${BUILD_KIND}" == 'CBI' ]]
- then
- dropsuffix=""
- else
- dropsuffix="pdebased"
- fi
-
- pathToDL=eclipse/downloads/drops
- if (( $eclipseStreamMajor > 3 ))
- then
- pathToDL=$pathToDL$eclipseStreamMajor
- fi
-
- pathToDL=$pathToDL$dropsuffix
-
- echo $pathToDL
+ eclipseStream=$1
+ if [[ -z "${eclipseStream}" ]]
+ then
+ printf "\n\n\t%s\n\n" "ERROR: Must provide eclipseStream as first argumnet, for this function $(basename $0)"
+ return 1;
+ fi
+
+
+ buildId=$2
+ if [[ -z "${buildId}" ]]
+ then
+ printf "\n\n\t%s\n\n" "ERROR: Must provide buildId as second argumnet, for this function $(basename $0)"
+ return 1;
+ fi
+
+ BUILD_KIND=$3
+ if [[ -z "${BUILD_KIND}" ]]
+ then
+ printf "\n\n\t%s\n\n" "ERROR: Must provide BUILD_KIND as third argumnet, for this function $(basename $0)"
+ return 1;
+ fi
+
+
+
+ eclipseStreamMajor=${eclipseStream:0:1}
+ buildType=${buildId:0:1}
+
+ #CBI is "normal" one and can add clauses in future for special cases
+ if [[ "${BUILD_KIND}" == 'CBI' ]]
+ then
+ dropsuffix=""
+ else
+ dropsuffix="pdebased"
+ fi
+
+ pathToDL=eclipse/downloads/drops
+ if (( $eclipseStreamMajor > 3 ))
+ then
+ pathToDL=$pathToDL$eclipseStreamMajor
+ fi
+
+ pathToDL=$pathToDL$dropsuffix
+
+ echo $pathToDL
}
@@ -89,42 +89,42 @@ EBUILDER_HASH=${EBUILDER_HASH:-${4}}
if [[ -z ${eclipseStream} || -z ${buildId} ]]
then
- printf "\n\t%s\n" "ERROR: missing required parameters."
- usage
- exit 1
+ printf "\n\t%s\n" "ERROR: missing required parameters."
+ usage
+ exit 1
fi
if [[ -z "${BUILD_KIND}" ]]
then
- BUILD_KIND=CBI
+ BUILD_KIND=CBI
fi
if [[ -z "${EBUILDER_HASH}" ]]
then
- EBUILDER_HASH=master
+ EBUILDER_HASH=master
fi
# contrary to intuition (and previous behavior, bash 3.1) do NOT use quotes around right side of expression.
if [[ "${eclipseStream}" =~ ^([[:digit:]]+)\.([[:digit:]]+)\.([[:digit:]]+)$ ]]
then
- eclipseStreamMajor=${BASH_REMATCH[1]}
- eclipseStreamMinor=${BASH_REMATCH[2]}
- eclipseStreamService=${BASH_REMATCH[3]}
+ eclipseStreamMajor=${BASH_REMATCH[1]}
+ eclipseStreamMinor=${BASH_REMATCH[2]}
+ eclipseStreamService=${BASH_REMATCH[3]}
else
- printf "\n\t%s\n" "ERROR: eclipseStream, $eclipseStream, must contain major, minor, and service versions."
- usage
- exit 1
+ printf "\n\t%s\n" "ERROR: eclipseStream, $eclipseStream, must contain major, minor, and service versions."
+ usage
+ exit 1
fi
if [[ "${buildId}" =~ ([MNIXYP]+)([[:digit:]]*)\-([[:digit:]]*) ]]
then
- # old, simpler way, if we don't do regex and input checkinging
- #buildType=${buildId:0:1}
- buildType=${BASH_REMATCH[1]}
+ # old, simpler way, if we don't do regex and input checkinging
+ #buildType=${buildId:0:1}
+ buildType=${BASH_REMATCH[1]}
else
- printf "\n\t%s\n" "ERROR: buildId, $buildId, did not match expected pattern."
- usage
- exit 1
+ printf "\n\t%s\n" "ERROR: buildId, $buildId, did not match expected pattern."
+ usage
+ exit 1
fi
@@ -141,48 +141,48 @@ echo "EBUILDER_HASH: $EBUILDER_HASH"
echo "BUILD_HOME: ${BUILD_HOME}"
- if [[ "${BUILD_KIND}" == 'CBI' ]]
- then
- buildRoot=${BUILD_HOME}/${eclipseStreamMajor}${buildType}
- eclipsebuilder=eclipse.platform.releng.aggregator/production/testScripts
- dlPath=$( dlpath $eclipseStream $buildId $BUILD_KIND )
- echo "DEBUG dlPath: $dlPath"
- buildDropDir=${buildRoot}/siteDir/$dlPath/${buildId}
- echo "DEBGUG buildDropDir: $buildDropDir"
- builderDropDir=${buildDropDir}/${eclipsebuilder}
- echo "DEBUG: builderDropDir: ${builderDropDir}"
- else
- buildRoot=/shared/eclipse/eclipse${eclipseStreamMajor}${buildType}
- # we don't really use this file for PDE build tests.
- # if we did, we'd need to fix this up.
- #buildDir=${buildRoot}/build
- #supportDir=${buildDir}/supportDir
- #eclipsebuilder=org.eclipse.releng.eclipsebuilder
- #builderDir=${supportDir}/$eclipsebuilder
- #$buildRoot=/shared/eclipse/eclipse${eclipseStreamMajor}${buildType}
- #$buildDir=${buildRoot}/build
- #$supportDir=${buildDir}/supportDir
- #$eclipsebuilder=org.eclipse.releng.eclipsebuilder
- #$builderDir=${supportDir}/$eclipsebuilder
-
- # should buildDirectory be set at "main" one from actual build?
- #$buildDirectory=${supportDir}/src
-
- # note, to be consistent, I changed json xml file so it adds buildId to postingDirectory
- #$siteDir=${buildRoot}/siteDir
- #$postingDirectory=${siteDir}/eclipse/downloads/drops
- #$if (( "${eclipseStreamMajor}" > 3 ))
- #$then
- # $postingDirectory=${siteDir}/eclipse/downloads/drops${eclipseStreamMajor}
- #$fi
- fi
+if [[ "${BUILD_KIND}" == 'CBI' ]]
+then
+ buildRoot=${BUILD_HOME}/${eclipseStreamMajor}${buildType}
+ eclipsebuilder=eclipse.platform.releng.aggregator/production/testScripts
+ dlPath=$( dlpath $eclipseStream $buildId $BUILD_KIND )
+ echo "DEBUG dlPath: $dlPath"
+ buildDropDir=${buildRoot}/siteDir/$dlPath/${buildId}
+ echo "DEBGUG buildDropDir: $buildDropDir"
+ builderDropDir=${buildDropDir}/${eclipsebuilder}
+ echo "DEBUG: builderDropDir: ${builderDropDir}"
+else
+ buildRoot=/shared/eclipse/eclipse${eclipseStreamMajor}${buildType}
+ # we don't really use this file for PDE build tests.
+ # if we did, we'd need to fix this up.
+ #buildDir=${buildRoot}/build
+ #supportDir=${buildDir}/supportDir
+ #eclipsebuilder=org.eclipse.releng.eclipsebuilder
+ #builderDir=${supportDir}/$eclipsebuilder
+ #$buildRoot=/shared/eclipse/eclipse${eclipseStreamMajor}${buildType}
+ #$buildDir=${buildRoot}/build
+ #$supportDir=${buildDir}/supportDir
+ #$eclipsebuilder=org.eclipse.releng.eclipsebuilder
+ #$builderDir=${supportDir}/$eclipsebuilder
+
+ # should buildDirectory be set at "main" one from actual build?
+ #$buildDirectory=${supportDir}/src
+
+ # note, to be consistent, I changed json xml file so it adds buildId to postingDirectory
+ #$siteDir=${buildRoot}/siteDir
+ #$postingDirectory=${siteDir}/eclipse/downloads/drops
+ #$if (( "${eclipseStreamMajor}" > 3 ))
+ #$then
+ # $postingDirectory=${siteDir}/eclipse/downloads/drops${eclipseStreamMajor}
+ #$fi
+fi
echo "DEBUG: invoking test scripts on Hudson"
HUDSON_TOKEN=windows2012tests ant \
- -DbuildId=${buildId} \
- -DeclipseStream=${eclipseStream} \
- -DBUILD_KIND=${BUILD_KIND} \
- -DEBUILDER_HASH=${EBUILDER_HASH} \
- -f ${builderDropDir}/invokeTestsJSON.xml
+ -DbuildId=${buildId} \
+ -DeclipseStream=${eclipseStream} \
+ -DBUILD_KIND=${BUILD_KIND} \
+ -DEBUILDER_HASH=${EBUILDER_HASH} \
+ -f ${builderDropDir}/invokeTestsJSON.xml
diff --git a/production/testScripts/updateTestResultsPages.sh b/production/testScripts/updateTestResultsPages.sh
index 04a0cdac0..df03165db 100755
--- a/production/testScripts/updateTestResultsPages.sh
+++ b/production/testScripts/updateTestResultsPages.sh
@@ -6,37 +6,37 @@
if (( $# < 2 ))
then
- # usage:
- scriptname=$(basename $0)
- printf "\n\t%s\n" "This script, $scriptname requires three arguments, in order: "
- printf "\t\t%s\t%s\n" "eclipseStream" "(e.g. 4.2.0 or 3.8.0) "
- printf "\t\t%s\t%s\n" "buildId" "(e.g. N20120415-2015) "
- printf "\t\t%s\t%s\n" "BUILD_KIND" "(e.g. CBI or special case) "
- printf "\t%s\n" "for example,"
- printf "\t%s\n\n" "./$scriptname 4.2.0 N20120415-2015 CBI"
- exit 1
+ # usage:
+ scriptname=$(basename $0)
+ printf "\n\t%s\n" "This script, $scriptname requires three arguments, in order: "
+ printf "\t\t%s\t%s\n" "eclipseStream" "(e.g. 4.2.0 or 3.8.0) "
+ printf "\t\t%s\t%s\n" "buildId" "(e.g. N20120415-2015) "
+ printf "\t\t%s\t%s\n" "BUILD_KIND" "(e.g. CBI or special case) "
+ printf "\t%s\n" "for example,"
+ printf "\t%s\n\n" "./$scriptname 4.2.0 N20120415-2015 CBI"
+ exit 1
fi
eclipseStream=$1
if [ -z "${eclipseStream}" ]
then
- echo "must provide eclipseStream as first argumnet, for this function $0"
- exit 1
+ echo "must provide eclipseStream as first argumnet, for this function $0"
+ exit 1
fi
buildId=$2
if [ -z "${buildId}" ]
then
- echo "must provide buildId as second argumnet, for this function $0"
- exit 1
+ echo "must provide buildId as second argumnet, for this function $0"
+ exit 1
fi
# For now only used by CBI
BUILD_KIND=$3
if [[ -z "${BUILD_KIND}" ]]
then
- BUILD_KIND=CBI
+ BUILD_KIND=CBI
fi
eclipseStreamMajor=${eclipseStream:0:1}
@@ -45,23 +45,23 @@ buildType=${buildId:0:1}
pathToDL=eclipse/downloads/drops
if (( $eclipseStreamMajor > 3 ))
then
- pathToDL=eclipse/downloads/drops$eclipseStreamMajor
+ pathToDL=eclipse/downloads/drops$eclipseStreamMajor
fi
if [[ "$BUILD_KIND" == "PDE" ]]
then
- pathToDL="${pathToDL}pdebased"
-fi
+ pathToDL="${pathToDL}pdebased"
+fi
if [[ "$BUILD_KIND" == "CBI" ]]
then
- buildRoot=${BUILD_HOME}/${eclipseStreamMajor}${buildType}
+ buildRoot=${BUILD_HOME}/${eclipseStreamMajor}${buildType}
elif [[ "$BUILD_KIND" == "PDE" ]]
then
- buildRoot=/shared/eclipse/eclipse${eclipseStreamMajor}${buildType}
+ buildRoot=/shared/eclipse/eclipse${eclipseStreamMajor}${buildType}
else
- echo "ERROR: BUILD_KIND was not recognized."
- exit 1
+ echo "ERROR: BUILD_KIND was not recognized."
+ exit 1
fi
siteDir=${buildRoot}/siteDir
@@ -69,8 +69,8 @@ siteDir=${buildRoot}/siteDir
fromDir=${siteDir}/${pathToDL}/${buildId}
if [ ! -d "${fromDir}" ]
then
- echo "ERROR: fromDir is not a directory? fromDir: ${fromDir}"
- exit 1
+ echo "ERROR: fromDir is not a directory? fromDir: ${fromDir}"
+ exit 1
fi
@@ -83,24 +83,24 @@ devJRE=$JAVA_HOME/jre/bin/java
if [[ ! -n ${devJRE} && -x ${devJRE} ]]
then
- echo "ERROR: could not find (or execute) JRE where expected: ${devJRE}"
- exit 1
+ echo "ERROR: could not find (or execute) JRE where expected: ${devJRE}"
+ exit 1
else
- # display version, just to be able to log it.
- echo "JRE Location and Version: ${devJRE}"
- echo $( $devJRE -version )
+ # display version, just to be able to log it.
+ echo "JRE Location and Version: ${devJRE}"
+ echo $( $devJRE -version )
fi
-# We use a seperate basebuilder for each "drop", to make sure it is specific for that drop,
+# We use a seperate basebuilder for each "drop", to make sure it is specific for that drop,
# and they won't interfere with each other.
basebuilderDir=${fromDir}/org.eclipse.releng.basebuilder
aggregatorDir=${fromDir}/eclipse.platform.releng.aggregator
EBuilderDir=${aggregatorDir}/eclipse.platform.releng.tychoeclipsebuilder
-if [[ ! -d "${basebuilderDir}" ]]
+if [[ ! -d "${basebuilderDir}" ]]
then
- # WORKSPACE, here, is the "Hudson-type" of workspace, not eclipse.
- ant -f $EBuilderDir/eclipse/getBaseBuilderAndTools.xml -DWORKSPACE=${fromDir}
+ # WORKSPACE, here, is the "Hudson-type" of workspace, not eclipse.
+ ant -f $EBuilderDir/eclipse/getBaseBuilderAndTools.xml -DWORKSPACE=${fromDir}
fi
# remember, the Eclipse install must match the VM used (e.g. both 64 bit, both 32 bit, etc).
@@ -110,8 +110,8 @@ chmod -c +x $ECLIPSE_EXE
if [ ! -n ${ECLIPSE_EXE} -a -x ${ECLIPSE_EXE} ]
then
- echo "ERROR: ECLIPSE_EXE is not defined or not executable: ${ECLIPSE_EXE}"
- exit 1
+ echo "ERROR: ECLIPSE_EXE is not defined or not executable: ${ECLIPSE_EXE}"
+ exit 1
fi
BUILDFILE=${aggregatorDir}/production/testScripts/genTestIndexes.xml
@@ -137,10 +137,10 @@ echo
if [ -n ${ECLIPSE_EXE} -a -x ${ECLIPSE_EXE} ]
then
- ${ECLIPSE_EXE} --launcher.suppressErrors -nosplash -console -data $devworkspace -application org.eclipse.ant.core.antRunner $BUILDFILESTR $BUILDTARGET -vm $devJRE -vmargs $devArgs
- RC=$?
+ ${ECLIPSE_EXE} --launcher.suppressErrors -nosplash -console -data $devworkspace -application org.eclipse.ant.core.antRunner $BUILDFILESTR $BUILDTARGET -vm $devJRE -vmargs $devArgs
+ RC=$?
else
- echo "ERROR: ECLIPSE_EXE is not defined to executable eclipse"
- RC=1
+ echo "ERROR: ECLIPSE_EXE is not defined to executable eclipse"
+ RC=1
fi
exit $RC

Back to the top